# lib/pokan/connection.rb
require 'singleton'
require 'redis'

module Pokan

  # Connection is a singleton for redis connection
  class Connection
    ##
    # Redis connection
    attr_reader :redis
    include Singleton

    # creates a new instance of Redis
    def initialize
      @redis = Redis.new
    end

    # Get the instance of the class Redis
    # === Usage
    #   redis = Pokan::Connection.redis
    #   redis.flushall
    def self.redis
      instance.redis
    end
  end
end
