# lib/pokan/pokan_messages.rb

module Pokan
  module ServerMessages
    # Gets a message for the introduction of the new peer to the seed
    def hello_message
      { action: 'hello', origin:"#{address}:#{port}" }.to_json
    end

    ##
    # Gets the message that the peer needs to send when is going to stop participating of the group
    def goodbye_message
      { action: 'goodbye', origin:"#{address}:#{port}" }.to_json
    end

    ##
    # Gets a digest containing all peers' key/timestamp of all peers
    # It returns a json with all the pairs for each peer in a Digest Structure
    def digest_message
      data= Hash.new
      peers = Query.new(Peer).where(role:['peer','seed'], status:'alive')
      peers.each { |peer| data[peer.id] = peer.digest }

      { action: 'digest', data: data, origin:"#{address}:#{port}" }.to_json
    end
  end
end
